diff --git a/suite/tests/client-interface/drutil-test.dll.c b/suite/tests/client-interface/drutil-test.dll.c
index 0056ec739d..6e54db43b3 100644
--- a/suite/tests/client-interface/drutil-test.dll.c
+++ b/suite/tests/client-interface/drutil-test.dll.c
@@ -209,10 +209,10 @@ event_bb_insert(void *drcontext, void *tag, instrlist_t *bb, instr_t *instr,
             ushort size =
                 (ushort)drutil_opnd_mem_size_in_bytes(instr_get_dst(instr, 0), instr);
             /* We're checking for a reasonable xsave area size which is at least 576
-             * bytes for the x87 + SSE user state components, or up to 1536 if AVX-512
+             * bytes for the x87 + SSE user state components, or up to 2688 if AVX-512
              * is enabled.
              */
-            CHECK(size >= 576 && size <= 1536, "xsave area size unexpected");
+            CHECK(size >= 576 && size <= 2688, "xsave area size unexpected");
         }
 #endif
     }
